---
type: api
title: Get packages
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-get-fleet-epm-packages
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-get-fleet-epm-packages
products:
  - Kibana
---

# Get packages

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/fleet/epm/packages`
- `GET` `/s/{space_id}/api/fleet/epm/packages`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#basicauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Get a list of integration packages available in the registry.<br/><br/>[Required authorization] Route required privileges: integrations-read OR fleet-setup OR fleet-all.

## Query String Parameters

- `category` (string)
  Filter packages by category
- `prerelease` (boolean)
  When true, include prerelease packages in the results
- `excludeInstallStatus` (boolean)
  When true, exclude the install status from the response
- `withPackagePoliciesCount` (boolean)
  When true, include the number of package policies per package

## Responses

#### `200`

Successful response

`application/json`

- `items` ([] object · max: 10000)
  - `categories` ([] string · max: 100)
  - `conditions` (object)
    - `deprecated` ({})
      - `description` (string · max: 4096)
      - `replaced_by` (map string to string)
      - `since` (string · max: 50)
    - `elastic` (object)
      - `capabilities` ([] string · max: 10)
      - `subscription` (string)
    - `kibana` (object)
      - `version` (string)
  - `data_streams` ([] string to object · max: 1000)
  - `deprecated` ({})
    - `description` (string · max: 4096)
    - `replaced_by` (map string to string)
    - `since` (string · max: 50)
  - `description` (string)
  - `discovery` (object)
    - `datasets` ([] object · max: 100)
      - `name` (string)
    - `fields` ([] object · max: 100)
      - `name` (string)
  - `download` (string)
  - `format_version` (string)
  - `icons` ([] object · max: 100)
    - `dark_mode` (boolean)
    - `path` (string)
    - `size` (string)
    - `src` (string)
    - `title` (string)
    - `type` (string)
  - `id` (string)
  - `installationInfo` ({})
    - `additional_spaces_installed_kibana` (map string to object)
    - `created_at` (string)
    - `experimental_data_stream_features` ([] object · max: 100)
      - `data_stream` (string · max: 1024)
      - `features` (object)
        - `doc_value_only_numeric` (boolean)
        - `doc_value_only_other` (boolean)
        - `synthetic_source` (boolean)
        - `tsdb` (boolean)
    - `install_format_schema_version` (string)
    - `install_source` (enum)
      Values: `registry`, `upload`, `bundled`, `custom`
    - `install_status` (enum)
      Values: `installed`, `installing`, `install_failed`
    - `installed_es` ([] object · max: 10000)
      - `customDataStreamOriginDataset` (string)
      - `customDataStreamOriginType` (string)
      - `deferred` (boolean)
      - `id` (string)
      - `type` (enum)
        Values: `index`, `index_template`, `component_template`, `ingest_pipeline`, `ilm_policy`, `data_stream_ilm_policy`, `transform`, `ml_model`, `knowledge_base`, `esql_view`
      - `version` (string)
    - `installed_kibana` ([] object · max: 10000)
      - `deferred` (boolean)
      - `id` (string)
      - `originId` (string)
      - `type` (union enum | string)
        Values: `dashboard`, `lens`, `visualization`, `search`, `index-pattern`, `map`, `ml-module`, `security-rule`, `csp-rule-template`, `osquery-pack-asset`, `osquery-saved-query`, `tag`
    - `installed_kibana_space_id` (string)
    - `is_rollback_ttl_expired` (boolean)
    - `latest_executed_state` (object)
      - `error` (string)
      - `name` (string)
      - `started_at` (string)
    - `latest_install_failed_attempts` ([] object · max: 10)
      - `created_at` (string)
      - `error` (object)
        - `message` (string)
        - `name` (string)
        - `stack` (string)
      - `target_version` (string)
    - `name` (string)
    - `namespaces` ([] string · max: 100)
    - `previous_version` (string) — nullable
    - `rolled_back` (boolean)
    - `type` (string)
    - `updated_at` (string)
    - `verification_key_id` (string) — nullable
    - `verification_status` (enum)
      Values: `unverified`, `verified`, `unknown`
    - `version` (string)
  - `integration` (string)
  - `internal` (boolean)
  - `latestVersion` (string)
  - `name` (string)
  - `owner` (object)
    - `github` (string)
    - `type` (enum)
      Values: `elastic`, `partner`, `community`
  - `path` (string)
  - `policy_templates` ([] string to object · max: 1000)
  - `readme` (string)
  - `release` (enum)
    Values: `ga`, `beta`, `experimental`
  - `signature_path` (string)
  - `source` (object)
    - `license` (string)
  - `status` (string)
  - `title` (string)
  - `type` (union enum | string)
    Values: `integration`, `input`, `content`
  - `var_groups` ([] object · max: 100)
    - `description` (string)
    - `name` (string)
    - `options` ([] object · max: 100)
      - `description` (string)
      - `hide_in_deployment_modes` ([] enum  · max: 2)
        Values: `default`, `agentless`
      - `name` (string)
      - `title` (string)
      - `vars` ([] string · max: 100)
    - `selector_title` (string)
    - `title` (string)
  - `vars` ([] string to object · max: 1000)
  - `version` (string)
#### `400`

Bad Request

`application/json`

- `attributes` (object)
- `error` (string)
- `errorType` (string)
- `message` (string)
- `statusCode` (number)
## Code Examples

#### Console

```console
GET /api/fleet/epm/packages
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/fleet/epm/packages"
```

## Response Examples

#### Get packages

List of available integration packages

```json
{
  "items": [
    {
      "categories": [
        "cloud"
      ],
      "description": "Collect logs and metrics from Amazon Web Services",
      "id": "aws",
      "name": "aws",
      "status": "not_installed",
      "title": "AWS",
      "version": "2.10.0"
    }
  ],
  "searchExcluded": 0,
  "total": 1
}
```

#### Generic error response

Example of a generic error response

```json
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}
```

